
#ifndef LIRIDBUSSERVICE_EXPORT_H
#define LIRIDBUSSERVICE_EXPORT_H

#ifdef LIRIDBUSSERVICE_STATIC_DEFINE
#  define LIRIDBUSSERVICE_EXPORT
#  define LIRIDBUSSERVICE_NO_EXPORT
#else
#  ifndef LIRIDBUSSERVICE_EXPORT
#    ifdef LIRI_BUILD_DBUSSERVICE_LIB
        /* We are building this library */
#      define LIRIDBUSSERVICE_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define LIRIDBUSSERVICE_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef LIRIDBUSSERVICE_NO_EXPORT
#    define LIRIDBUSSERVICE_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef LIRIDBUSSERVICE_DECL_DEPRECATED
#  define LIRIDBUSSERVICE_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef LIRIDBUSSERVICE_DECL_DEPRECATED_EXPORT
#  define LIRIDBUSSERVICE_DECL_DEPRECATED_EXPORT LIRIDBUSSERVICE_EXPORT LIRIDBUSSERVICE_DECL_DEPRECATED
#endif

#ifndef LIRIDBUSSERVICE_DECL_DEPRECATED_NO_EXPORT
#  define LIRIDBUSSERVICE_DECL_DEPRECATED_NO_EXPORT LIRIDBUSSERVICE_NO_EXPORT LIRIDBUSSERVICE_DECL_DEPRECATED
#endif

/* NOLINTNEXTLINE(readability-avoid-unconditional-preprocessor-if) */
#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef LIRIDBUSSERVICE_NO_DEPRECATED
#    define LIRIDBUSSERVICE_NO_DEPRECATED
#  endif
#endif

#define LIRIDBUSSERVICE_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

#if defined(LIRIDBUSSERVICE_NO_DEPRECATED)
#  undef LIRIDBUSSERVICE_DEPRECATED
#  define LIRIDBUSSERVICE_DEPRECATED_EXPORT LIRIDBUSSERVICE_EXPORT
#  define LIRIDBUSSERVICE_DEPRECATED_NO_EXPORT LIRIDBUSSERVICE_NO_EXPORT
#elif defined(LIRIDBUSSERVICE_NO_DEPRECATED_WARNINGS)
#  define LIRIDBUSSERVICE_DEPRECATED
#  define LIRIDBUSSERVICE_DEPRECATED_EXPORT LIRIDBUSSERVICE_EXPORT
#  define LIRIDBUSSERVICE_DEPRECATED_NO_EXPORT LIRIDBUSSERVICE_NO_EXPORT
#else
#  define LIRIDBUSSERVICE_DEPRECATED LIRIDBUSSERVICE_DECL_DEPRECATED
#  define LIRIDBUSSERVICE_DEPRECATED_EXPORT LIRIDBUSSERVICE_DECL_DEPRECATED_EXPORT
#  define LIRIDBUSSERVICE_DEPRECATED_NO_EXPORT LIRIDBUSSERVICE_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define LIRIDBUSSERVICE_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define LIRIDBUSSERVICE_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef LIRIDBUSSERVICE_NO_DEPRECATED
#  define LIRIDBUSSERVICE_DISABLE_DEPRECATED_BEFORE_AND_AT 0x900
#endif
#ifdef LIRIDBUSSERVICE_NO_DEPRECATED_WARNINGS
#  define LIRIDBUSSERVICE_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef LIRIDBUSSERVICE_DEPRECATED_WARNINGS_SINCE
#  ifdef LIRIDBUSSERVICE_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define LIRIDBUSSERVICE_DEPRECATED_WARNINGS_SINCE LIRIDBUSSERVICE_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define LIRIDBUSSERVICE_DEPRECATED_WARNINGS_SINCE 0x900
#  endif
#endif

#ifndef LIRIDBUSSERVICE_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define LIRIDBUSSERVICE_DISABLE_DEPRECATED_BEFORE_AND_AT 0x0
#endif

#ifdef LIRIDBUSSERVICE_DEPRECATED
#  define LIRIDBUSSERVICE_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > LIRIDBUSSERVICE_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define LIRIDBUSSERVICE_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* LIRIDBUSSERVICE_EXPORT_H */
