
#ifndef LIRILOCALDEVICE_EXPORT_H
#define LIRILOCALDEVICE_EXPORT_H

#ifdef LIRILOCALDEVICE_STATIC_DEFINE
#  define LIRILOCALDEVICE_EXPORT
#  define LIRILOCALDEVICE_NO_EXPORT
#else
#  ifndef LIRILOCALDEVICE_EXPORT
#    ifdef LIRI_BUILD_LOCALDEVICE_LIB
        /* We are building this library */
#      define LIRILOCALDEVICE_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define LIRILOCALDEVICE_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef LIRILOCALDEVICE_NO_EXPORT
#    define LIRILOCALDEVICE_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef LIRILOCALDEVICE_DECL_DEPRECATED
#  define LIRILOCALDEVICE_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef LIRILOCALDEVICE_DECL_DEPRECATED_EXPORT
#  define LIRILOCALDEVICE_DECL_DEPRECATED_EXPORT LIRILOCALDEVICE_EXPORT LIRILOCALDEVICE_DECL_DEPRECATED
#endif

#ifndef LIRILOCALDEVICE_DECL_DEPRECATED_NO_EXPORT
#  define LIRILOCALDEVICE_DECL_DEPRECATED_NO_EXPORT LIRILOCALDEVICE_NO_EXPORT LIRILOCALDEVICE_DECL_DEPRECATED
#endif

/* NOLINTNEXTLINE(readability-avoid-unconditional-preprocessor-if) */
#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef LIRILOCALDEVICE_NO_DEPRECATED
#    define LIRILOCALDEVICE_NO_DEPRECATED
#  endif
#endif

#define LIRILOCALDEVICE_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

#if defined(LIRILOCALDEVICE_NO_DEPRECATED)
#  undef LIRILOCALDEVICE_DEPRECATED
#  define LIRILOCALDEVICE_DEPRECATED_EXPORT LIRILOCALDEVICE_EXPORT
#  define LIRILOCALDEVICE_DEPRECATED_NO_EXPORT LIRILOCALDEVICE_NO_EXPORT
#elif defined(LIRILOCALDEVICE_NO_DEPRECATED_WARNINGS)
#  define LIRILOCALDEVICE_DEPRECATED
#  define LIRILOCALDEVICE_DEPRECATED_EXPORT LIRILOCALDEVICE_EXPORT
#  define LIRILOCALDEVICE_DEPRECATED_NO_EXPORT LIRILOCALDEVICE_NO_EXPORT
#else
#  define LIRILOCALDEVICE_DEPRECATED LIRILOCALDEVICE_DECL_DEPRECATED
#  define LIRILOCALDEVICE_DEPRECATED_EXPORT LIRILOCALDEVICE_DECL_DEPRECATED_EXPORT
#  define LIRILOCALDEVICE_DEPRECATED_NO_EXPORT LIRILOCALDEVICE_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define LIRILOCALDEVICE_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define LIRILOCALDEVICE_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef LIRILOCALDEVICE_NO_DEPRECATED
#  define LIRILOCALDEVICE_DISABLE_DEPRECATED_BEFORE_AND_AT 0x900
#endif
#ifdef LIRILOCALDEVICE_NO_DEPRECATED_WARNINGS
#  define LIRILOCALDEVICE_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef LIRILOCALDEVICE_DEPRECATED_WARNINGS_SINCE
#  ifdef LIRILOCALDEVICE_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define LIRILOCALDEVICE_DEPRECATED_WARNINGS_SINCE LIRILOCALDEVICE_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define LIRILOCALDEVICE_DEPRECATED_WARNINGS_SINCE 0x900
#  endif
#endif

#ifndef LIRILOCALDEVICE_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define LIRILOCALDEVICE_DISABLE_DEPRECATED_BEFORE_AND_AT 0x0
#endif

#ifdef LIRILOCALDEVICE_DEPRECATED
#  define LIRILOCALDEVICE_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > LIRILOCALDEVICE_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define LIRILOCALDEVICE_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* LIRILOCALDEVICE_EXPORT_H */
