
#ifndef LIRILOGIND_EXPORT_H
#define LIRILOGIND_EXPORT_H

#ifdef LIRILOGIND_STATIC_DEFINE
#  define LIRILOGIND_EXPORT
#  define LIRILOGIND_NO_EXPORT
#else
#  ifndef LIRILOGIND_EXPORT
#    ifdef LIRI_BUILD_LOGIND_LIB
        /* We are building this library */
#      define LIRILOGIND_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define LIRILOGIND_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef LIRILOGIND_NO_EXPORT
#    define LIRILOGIND_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef LIRILOGIND_DECL_DEPRECATED
#  define LIRILOGIND_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef LIRILOGIND_DECL_DEPRECATED_EXPORT
#  define LIRILOGIND_DECL_DEPRECATED_EXPORT LIRILOGIND_EXPORT LIRILOGIND_DECL_DEPRECATED
#endif

#ifndef LIRILOGIND_DECL_DEPRECATED_NO_EXPORT
#  define LIRILOGIND_DECL_DEPRECATED_NO_EXPORT LIRILOGIND_NO_EXPORT LIRILOGIND_DECL_DEPRECATED
#endif

/* NOLINTNEXTLINE(readability-avoid-unconditional-preprocessor-if) */
#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef LIRILOGIND_NO_DEPRECATED
#    define LIRILOGIND_NO_DEPRECATED
#  endif
#endif

#define LIRILOGIND_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

#if defined(LIRILOGIND_NO_DEPRECATED)
#  undef LIRILOGIND_DEPRECATED
#  define LIRILOGIND_DEPRECATED_EXPORT LIRILOGIND_EXPORT
#  define LIRILOGIND_DEPRECATED_NO_EXPORT LIRILOGIND_NO_EXPORT
#elif defined(LIRILOGIND_NO_DEPRECATED_WARNINGS)
#  define LIRILOGIND_DEPRECATED
#  define LIRILOGIND_DEPRECATED_EXPORT LIRILOGIND_EXPORT
#  define LIRILOGIND_DEPRECATED_NO_EXPORT LIRILOGIND_NO_EXPORT
#else
#  define LIRILOGIND_DEPRECATED LIRILOGIND_DECL_DEPRECATED
#  define LIRILOGIND_DEPRECATED_EXPORT LIRILOGIND_DECL_DEPRECATED_EXPORT
#  define LIRILOGIND_DEPRECATED_NO_EXPORT LIRILOGIND_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define LIRILOGIND_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define LIRILOGIND_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef LIRILOGIND_NO_DEPRECATED
#  define LIRILOGIND_DISABLE_DEPRECATED_BEFORE_AND_AT 0x900
#endif
#ifdef LIRILOGIND_NO_DEPRECATED_WARNINGS
#  define LIRILOGIND_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef LIRILOGIND_DEPRECATED_WARNINGS_SINCE
#  ifdef LIRILOGIND_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define LIRILOGIND_DEPRECATED_WARNINGS_SINCE LIRILOGIND_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define LIRILOGIND_DEPRECATED_WARNINGS_SINCE 0x900
#  endif
#endif

#ifndef LIRILOGIND_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define LIRILOGIND_DISABLE_DEPRECATED_BEFORE_AND_AT 0x0
#endif

#ifdef LIRILOGIND_DEPRECATED
#  define LIRILOGIND_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > LIRILOGIND_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define LIRILOGIND_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* LIRILOGIND_EXPORT_H */
