
#ifndef LIRINOTIFICATIONS_EXPORT_H
#define LIRINOTIFICATIONS_EXPORT_H

#ifdef LIRINOTIFICATIONS_STATIC_DEFINE
#  define LIRINOTIFICATIONS_EXPORT
#  define LIRINOTIFICATIONS_NO_EXPORT
#else
#  ifndef LIRINOTIFICATIONS_EXPORT
#    ifdef LIRI_BUILD_NOTIFICATIONS_LIB
        /* We are building this library */
#      define LIRINOTIFICATIONS_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define LIRINOTIFICATIONS_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef LIRINOTIFICATIONS_NO_EXPORT
#    define LIRINOTIFICATIONS_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef LIRINOTIFICATIONS_DECL_DEPRECATED
#  define LIRINOTIFICATIONS_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef LIRINOTIFICATIONS_DECL_DEPRECATED_EXPORT
#  define LIRINOTIFICATIONS_DECL_DEPRECATED_EXPORT LIRINOTIFICATIONS_EXPORT LIRINOTIFICATIONS_DECL_DEPRECATED
#endif

#ifndef LIRINOTIFICATIONS_DECL_DEPRECATED_NO_EXPORT
#  define LIRINOTIFICATIONS_DECL_DEPRECATED_NO_EXPORT LIRINOTIFICATIONS_NO_EXPORT LIRINOTIFICATIONS_DECL_DEPRECATED
#endif

/* NOLINTNEXTLINE(readability-avoid-unconditional-preprocessor-if) */
#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef LIRINOTIFICATIONS_NO_DEPRECATED
#    define LIRINOTIFICATIONS_NO_DEPRECATED
#  endif
#endif

#define LIRINOTIFICATIONS_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

#if defined(LIRINOTIFICATIONS_NO_DEPRECATED)
#  undef LIRINOTIFICATIONS_DEPRECATED
#  define LIRINOTIFICATIONS_DEPRECATED_EXPORT LIRINOTIFICATIONS_EXPORT
#  define LIRINOTIFICATIONS_DEPRECATED_NO_EXPORT LIRINOTIFICATIONS_NO_EXPORT
#elif defined(LIRINOTIFICATIONS_NO_DEPRECATED_WARNINGS)
#  define LIRINOTIFICATIONS_DEPRECATED
#  define LIRINOTIFICATIONS_DEPRECATED_EXPORT LIRINOTIFICATIONS_EXPORT
#  define LIRINOTIFICATIONS_DEPRECATED_NO_EXPORT LIRINOTIFICATIONS_NO_EXPORT
#else
#  define LIRINOTIFICATIONS_DEPRECATED LIRINOTIFICATIONS_DECL_DEPRECATED
#  define LIRINOTIFICATIONS_DEPRECATED_EXPORT LIRINOTIFICATIONS_DECL_DEPRECATED_EXPORT
#  define LIRINOTIFICATIONS_DEPRECATED_NO_EXPORT LIRINOTIFICATIONS_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define LIRINOTIFICATIONS_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define LIRINOTIFICATIONS_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef LIRINOTIFICATIONS_NO_DEPRECATED
#  define LIRINOTIFICATIONS_DISABLE_DEPRECATED_BEFORE_AND_AT 0x900
#endif
#ifdef LIRINOTIFICATIONS_NO_DEPRECATED_WARNINGS
#  define LIRINOTIFICATIONS_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef LIRINOTIFICATIONS_DEPRECATED_WARNINGS_SINCE
#  ifdef LIRINOTIFICATIONS_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define LIRINOTIFICATIONS_DEPRECATED_WARNINGS_SINCE LIRINOTIFICATIONS_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define LIRINOTIFICATIONS_DEPRECATED_WARNINGS_SINCE 0x900
#  endif
#endif

#ifndef LIRINOTIFICATIONS_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define LIRINOTIFICATIONS_DISABLE_DEPRECATED_BEFORE_AND_AT 0x0
#endif

#ifdef LIRINOTIFICATIONS_DEPRECATED
#  define LIRINOTIFICATIONS_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > LIRINOTIFICATIONS_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define LIRINOTIFICATIONS_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* LIRINOTIFICATIONS_EXPORT_H */
